Package org.apache.synapse.transport.http.conn

# Enum SSLClientAuth

java.lang.Object
java.lang.Enum<SSLClientAuth>
org.apache.synapse.transport.http.conn.SSLClientAuth

All Implemented Interfaces:
  `Serializable`, `Comparable<SSLClientAuth>`, `java.lang.constant.Constable`

public enum SSLClientAuth extends Enum<SSLClientAuth>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `OPTIONAL`
  `REQUIRED`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SSLClientAuth`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static SSLClientAuth[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### OPTIONAL

    public static final SSLClientAuth OPTIONAL

  - ### REQUIRED

    public static final SSLClientAuth REQUIRED

- ## Method Details

  - ### values

    public static SSLClientAuth[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static SSLClientAuth valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null